MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024130Open CASCADE[OCCT] OCCT:Visualizationpublic2013-08-27 15:102020-01-14 20:46
Reporterdbp 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024130: Implementing ray tracing visualization core
DescriptionRay tracing allows to implement a wide variety of optical effects, such as reflection/refraction, hard/soft shadows, and transparency inside current rendering toolkit (TKOpenGL).
Additional information
and documentation updates
The purpose of this functionality is to bring a basic ray-tracing solution to existing OCCT visualization toolkit (TKOpenGL). Currently ray-tracing visualization core supports sharp shadows, specular reflections, transparency and adaptive anti-aliasing. However, the basis for all ray-tracing algorithms is versatile, allowing you to add new ray-tracing features easily (such as ambient occlusion). All ray-tracing computations are performed on the GPU using OpenCL framework, allowing real-time rendering performance. The attached images demonstrates the examples of renderings.


To enable ray-tracing rendering mode in DRAW, the following command can be used:

vraytrace 1

To enable or disable specifi ray-tracing features the following command is used:

vsetraytracemode [shad=0|1] [refl=0|1] [aa=0|1]

The arguments <shad>, <refl> and <aa> controls ray-tracing shadows, reflections and adaptive anti-aliasing respectively.


To enable/disable ray-tracing mode in specific View, the following methods are used:

1. V3d_View::SetRaytracingMode()

   Enables ray-tracing rendering mode.

2. V3d_View::SetRasterizationMode()

   Enables OpenGL (rasterization) rendering mode.

To enable/disable specific ray-tracing features, the following methods are used:

1. V3d_View::EnableRaytracedShadows()
   V3d_View::DisableRaytracedShadows()

   Enables/disables ray-traced sharp shadows.

2. V3d_View::EnableRaytracedReflections()
   V3d_View::DisableRaytracedReflections()

   Enables/disables ray-traced specular reflections.

3. V3d_View::EnableRaytracedAntialiasing()
   V3d_View::DisableRaytracedAntialiasing()

   Enables/disables ray-traced adaptive anti-aliasing.

Please, check Qt IESample as an example of OCCT-based application with support of ray-tracing.


It is important to note, that real-time ray-tracing is possible using high-performance GPUs with support of OpenCL 1.1 and higher (such as NVIDIA GeForce 660 or ATI/AMD Radeon 7850). When using low-end GPUs (such as NVIDIA GeForce 640) the ray-tracing performance may slow down significantly. Therefore, even with NVIDIA GeForce 640 you can render scenes with the millions of triangles. The support of OpenCL-enabled CPUs and integrated graphics cards is not guaranted.


TagsNo tags attached.
Test case numberbugs vis(004) bug24130
Attached Filespng file icon rt-shadows.png (195,484 bytes) 2013-10-22 11:47
png file icon screen2.png (190,322 bytes) 2013-10-22 11:49
png file icon rt-granulated.png (10,076 bytes) 2013-10-22 11:54
png file icon sphere_test.png (260,200 bytes) 2013-10-22 14:49
png file icon rt_shadows.png (16,229 bytes) 2013-10-22 15:08
png file icon example2.png (251,860 bytes) 2013-10-22 16:49
png file icon example5.png (136,371 bytes) 2013-10-22 16:50
png file icon example6.png (235,024 bytes) 2013-10-22 16:50
png file icon 2.png (312,563 bytes) 2013-10-23 00:35
png file icon 5.png (325,791 bytes) 2013-10-23 00:35
png file icon 10.png (165,156 bytes) 2013-10-23 00:36
zip file icon Reference.zip (503,091 bytes) 2013-10-24 14:49

- Relationships
parent of 0024153closedbugmaster Open CASCADE Adding OpenCL to OCCT prerequisites 
parent of 0031279verifiedbugmaster Open CASCADE Visualization, TKOpenGl - environment background is misplaced within Ray-Tracing 
related to 0024317closedkgv Open CASCADE TKOpenGl, Ray Tracing - provide support for CPU OpenCL devices 
related to 0024318closeddbp Open CASCADE TKOpenGl, Ray Tracing - trash in the window instead of ray traced shape 
related to 0024320closedbugmaster Open CASCADE TKOpenGl, Ray Tracing - OpenGL resources created for OpenCL interconnection should be managed in common way 
related to 0024479closedbugmaster Open CASCADE Ray Tracing mode does not work in Qt IE sample 

-  Notes
(0026058)
dbp (developer)
2013-10-14 10:17

Dear duv,

Could you please review OpenCL code (OpenCL_RayTrace.cl)?
(0026073)
dbp (developer)
2013-10-14 18:00

Dear apl,

the ray-tracing functionality is integrated to OCCT.

Could you please review the code (branch CR24130)?
(0026074)
dbp (developer)
2013-10-14 18:26
edited on: 2013-10-14 18:50

For testing ray-tracing renderer, the following script can be used:

pload ALL
vinit
vvbo 0
vsetdispmode 1
restore <PATH TO SHAPE> S
vdisplay S
vfit
vraytrace 1

To enable or disable ray-tracing features the following command is used:

vsetraytracemode [shad=0|1] [refl=0|1] [aa=0|1]

The arguments <shad>, <refl> and <aa> controls ray-tracing shadows, reflections and adaptive anti-aliasing respectively.

To print information about OpenCL device used for ray-tracing the 'vclinfo' command may be used.

(0026103)
apl (developer)
2013-10-16 12:52

Dear dbp,

Please process the pending remarks.

For requesting review if patch is not completely ready for testing, please use "feedback" status rather than "resolved".
(0026126)
dbp (developer)
2013-10-17 16:52

Dear apl,

could you please review the new version of ray-tracing functionality (branch CR24130_1)?

(0026154)
apl (developer)
2013-10-21 10:58
edited on: 2013-10-21 10:59

Dear dbp,

The branch is reviewed, please proceed. There is no more comments since last review.

(0026195)
kgv (developer)
2013-10-22 11:05

Dear dbp,

please make sure, that V3d_View::ToPixMap() functionality (vdump command) works correctly. It seems that viewport is currently ignored by ray-tracing and image is rendered using dimensions of window.
(0026196)
dbp (developer)
2013-10-22 11:32

Dear kgv,
the 'vdump' command works properly. Some results are attached to this issue.
(0026197)
abv (manager)
2013-10-22 11:43

Well, it seems to work now (I have NVIDIA GeForce GT 640! There are however some remarks:

1. Compiler warnings

1>..\..\..\src\OpenGl\OpenGl_SceneGeometry.cxx(179): warning C4239: nonstandard extension used : 'argument' : conversion from 'std::vector<_Ty,_Alloc>' to 'std::vector<_Ty,_Alloc> &'
1> with
1> [
1> _Ty=`anonymous-namespace'::OpenGl_RTVec4f,
1> _Alloc=NCollection_StdAllocator<`anonymous-namespace'::OpenGl_RTVec4f>
1> ]
1> A non-const reference may only be bound to an lvalue
1>..\..\..\src\OpenGl\OpenGl_SceneGeometry.cxx(180): warning C4239: nonstandard extension used : 'argument' : conversion from 'std::vector<_Ty,_Alloc>' to 'std::vector<_Ty,_Alloc> &' ...
1>..\..\..\src\OpenGl\OpenGl_SceneGeometry.cxx(181): warning C4239: nonstandard extension used : 'argument' : conversion from 'std::vector<_Ty,_Alloc>' to 'std::vector<_Ty,_Alloc> &' ...
1>..\..\..\src\OpenGl\OpenGl_SceneGeometry.cxx(239): warning C4239: nonstandard extension used : 'argument' : conversion from 'std::vector<_Ty,_Alloc>' to 'std::vector<_Ty,_Alloc> &' ...
1>..\..\..\src\OpenGl\OpenGl_SceneGeometry.cxx(240): warning C4239: nonstandard extension used : 'argument' : conversion from 'std::vector<_Ty,_Alloc>' to 'std::vector<_Ty,_Alloc> &' ...
1>..\..\..\src\OpenGl\OpenGl_SceneGeometry.cxx(241): warning C4239: nonstandard extension used : 'argument' : conversion from 'std::vector<_Ty,_Alloc>' to 'std::vector<_Ty,_Alloc> &' ...
2>..\..\..\src\ViewerTest\ViewerTest_ViewerCommands.cxx(5273): warning C4100: 'theArgVec' : unreferenced formal parameter
2>..\..\..\src\ViewerTest\ViewerTest_ViewerCommands.cxx(5272): warning C4100: 'theArgNb' : unreferenced formal parameter
2>..\..\..\src\ViewerTest\ViewerTest_ViewerCommands.cxx(5319): warning C4100: 'theInterpretor' : unreferenced formal parameter
2>..\..\..\src\ViewerTest\ViewerTest_ViewerCommands.cxx(5363): warning C4100: 'theInterpretor' : unreferenced formal parameter

2. Visual artifacts near the terminator line: some triangles are not illuminated; perhaps Phong interpolation of normals is missing :)

psphere s 10
vdisplay s
vsetdisplaymode s 1
vfit
vraytrace 1

The image is attached
(0026199)
abv (manager)
2013-10-22 11:53

vdump has problems actually: if you make 3d viewer window small and call vdump with high resolution explicitly specified, you will see each pixel of a small view mapped to high resolution view. Try the following commands:

Draw[1]> pload ALL
Draw[2]> vinit w=100 h=100
vinit: 3D View - Driver1/Viewer1/View1 was created.
Draw[3]> psphere s 10
Draw[4]> vdisplay s
Draw[7]> vsetdispmode 1
Draw[8]> vraytrace 1
Draw[9]> vfit
Draw[10]> vdump d:/rt-granulated.png rbg 1024 1024

The resulting image is attached
(0026200)
abv (manager)
2013-10-22 12:16

Next problem: commands verase, vclear do not affect raytraced view. If I switch ray tracing off and on again, I get white shadows in place of erased shapes.

Image shown if vtextureenv is on looks quite strange (try with simple box); it seems that the texture gets rotated together with shape, while it would perhaps be more natural to have it in fixed position.
(0026209)
dbp (developer)
2013-10-22 14:44

1. Bug with 'vclear' command was fixed.

2. 'verase' command is now supported (it actually hides objects, not removes).

3. Bug with 'vdump' command for custom image size was fixed.
(0026211)
dbp (developer)
2013-10-22 15:07

Bug with sphere shadows ("rt-shadows.png") is not actually the bug -- it is result of rought geometry. To compute shadows, normals are not used at all. The only way to remove these artifacts is to improve tesselation accurancy. See "sphere_test.png" for example (for the right sphere tessellation is slightly better). The reason for the sharp shadow edges on rought triangulations is shown in "rt_shadows.png".
(0026213)
dbp (developer)
2013-10-22 16:12

About environment maps.
To optimize the processing of View transformations (projection and model-view), these transformations are not applied to the geometry, but are applied to the rays. So when we rotate the object, in fact we move around it (object is static). Therefore, we see other parts of the environment map. This behavior can be changed by passing an additional matrix in OpenCL and some additional computations.
(0026217)
dbp (developer)
2013-10-22 18:48

Dear apl,

the patch is ready. Please review.
(0026220)
kgv (developer)
2013-10-22 21:15

Dear dbp,

+
+    OpenGl_GraphicDriver* aDriver =
+      const_cast<OpenGl_GraphicDriver*> (reinterpret_cast<const OpenGl_GraphicDriver*> (aContextAIS->CurrentViewer()->Driver().Access()));


The old remark is still there.

-                                         const Standard_Integer  theNoInsert);
+    const Standard_Integer  theNoInsert);
...
-                                         const Graphic3d_CStructure& theCStructure,
-                                         const Standard_Integer      thePriority);
+    const Graphic3d_CStructure& theCStructure,
+    const Standard_Integer      thePriority);

Please revert unrelated formatting changes in OpenGl_GraphicDriver.hxx
(0026225)
apl (developer)
2013-10-23 08:53

Dear dbp,

There are no remarks to last commits. The kgv remarks are already in branch.
(0026226)
apl (developer)
2013-10-23 08:54

Dear Bugmaster,

The branch CR24130 is reviewed.

Please test.
(0026228)
kgv (developer)
2013-10-23 08:59

Dear Bugmaster,

please test Mac OS X build as well.
(0026230)
apl (developer)
2013-10-23 09:02

Dear dbp,

Please fill in description sections. For example you might look at issues #0024070, 0024228.

Normally, description contains at least the following points:
- Features;
- Changes;
- Porting notes;

Also, please add a test scenario to check the raytracing in DRAWEXE, additionally you can mention requirements necessary for enabling the raytracing feature.
(0026235)
mkv (tester)
2013-10-23 13:33

Dear BugMaster,

Branch CR24130 was compiled on MacOS platform.
SHA-1: 0dca50d8ce111bf264288ede41dda9c9844c3ff5

There are 137 following compilation errors:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24130_a/job/mnt-CR24130_a-master_prepare_occt_MacOS/1/parsed_console/? [^]
(0026236)
mkv (tester)
2013-10-23 13:48

Dear BugMaster,

Branch CR24130 (and products from GIT master) was compiled on Windows platform.
There are following additional compilation warnings:

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/job/mnt-CR24130_a-master_build_occt_windows/1/warnings28Result/package.30133641/ [^]

OpenGl_GraphicDriver.cxx:166, MSBuild, Priority: Normal
'theCView' : unreferenced formal parameter

OpenGl_GraphicDriver.cxx:167, MSBuild, Priority: Normal
'theInfo' : unreferenced formal parameter

OpenGl_Group.cxx:34, MSBuild, Priority: Normal
'theParentNode' : unreferenced formal parameter
(0026237)
mkv (tester)
2013-10-23 13:49

Dear BugMaster,

Branch CR24130 (and products from GIT master) was compiled on Linux platform.
There are not additional compilation warnings.
(0026247)
kgv (developer)
2013-10-24 00:35

Dear dpb,

the following changes have been pushed to CR24130 branch:
- fixed compatibility with pre-C++11 compilers (>> in templates)
- added headers inclusion for Mac OS X Snow Leopard
- removed only NVIDIA/AMD platforms compatibility check
- corrected OpenCL context creation (Mac OS X specific - GPU device should not be specified when GL context is specified in options)
- define M_PI_F for old OpenCL 1.0 devices
- removed reference documentation for OpenCL API calls

Please review corrections / check on other platforms.

Please take notice that there are still several places in OpenGl_Workspace::InitOpenCL() where FALSE returned without any description to user. In fact I have seen NO errors on tested platform - only garbage in the window.

// Note: For profiling set CL_QUEUE_PROFILING_ENABLE

Shouldn't be this flag disabled in release mode?
(0026259)
dbp (developer)
2013-10-24 14:52

For testing ray-tracing functionality the new test case was added (bug24130).

The reference images are attached to this issue (Reference.zip). Please, use it to check ray-tracing correctness with 'diffimage'.
(0026261)
dbp (developer)
2013-10-24 16:48

Dear kgv,

the test case was implemented, and issue are ready for review. Please check branch CR24130.
(0026263)
kgv (developer)
2013-10-24 17:17

Dear bugmaster,

patch is ready for testing.

Please perform testing of new test case on all supported platforms (Windows/Linux/Mac OS X).
If snapshots will be identical - we might consider adding image comparison directly into test case.
(0026284)
mkv (tester)
2013-10-25 15:29

Dear kgv,
could you please rebase branch CR24130 on current master, there are conflict files.
(0026289)
kgv (developer)
2013-10-25 17:41

Patch has been re-based.
(0026313)
mkv (tester)
2013-10-29 08:23

Dear BugMaster,

Branch CR24130 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 1ed2f74ee46d2ad4daf70451fbebe0e25ef8bd81

Number of compiler warnings:

occt component :
Linux: 323 (323 on master)
Windows: 0 (0 on master)

products component :
Linux: 189 (189 on master)
Windows: 287 (287 on master)

Regressions/Differences:
http://occt-tests/CR24130-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24130-master-occt/Windows-32-VC9/summary.html [^]
bugs modalg_2(007) bug397 - will be corrected
bugs vis(004) bug173_1, bug173_2, bug5990 - will be corrected

Testing cases:
http://occt-tests/CR24130-master-occt/Debian60-64/bugs/vis/bug24130.html [^]
bugs vis(004) bug24130: OK
http://occt-tests/CR24130-master-occt/Windows-32-VC9/bugs/vis/bug24130.html [^]
bugs vis(004) bug24130: FAILED

Testing on Linux:
Total MEMORY difference: 355343496 / 356053660
Total CPU difference: 41347.0000000007 / 40650.99000000073

Testing on Windows:
Total MEMORY difference: 410474544 / 406258112
Total CPU difference: 32135.265625 / 34747.3125

There is new behavior in images found by testdiff.
http://occt-tests/CR24130-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
http://occt-tests/CR24130-master-occt/Debian60-64/diff-Debian60-64.html [^]

Dear dbp,
could you please validate folloving images:
IMAGE bugs vis bug591: bug591_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug22018: bug22018_Driver1_Viewer1_View1.png differs
(0026314)
abv (manager)
2013-10-29 09:31

The patch obviously contains change in default light sources which is not documented and causes differences on all tests involving shading. Please consider removing this change from this branch -- this would greatly facilitate testing and avoid mixing two not related changes.

If deemed necessary, change in default light sources can be passed as separate issue. To my view, the new behavior is better on some situations (like box shaded with default axo view) but worse in some other. In particular, it has more chances to produce artifacts on the edges. Perhaps two light sources (one as before and one new) should be used for better presentation.
(0026316)
kgv (developer)
2013-10-29 10:01

Dear dbp,

TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
  No any OpenCL platform installed!

OCCT was compiled without OpenCL support!

please add these strings to parse.rules as SKIPPED (test case could not be executed due to lack of device).

vclinfo 
Failed to get OpenCL device info!

Tcl Exception: Failed to get OpenCL device info!

Please modify vclinfo command to do not return 1.
(0026322)
dbp (developer)
2013-10-29 12:09

The new version of the path was pushed to CR24130.

1. The 'parse.rules' was modified to skip ray-tracing test when OCCt was compiled without OpenCL support.

2. The 'vclinfo' was modified to not return 1 when fetching OpenCL device info was unsuccessful.

3. V3d_Viewer default lights were reverted to previous version. The new issue will be created (current light configuration can not produce shadows, and in many cases objects are loking 'flat').
(0026333)
abv (manager)
2013-10-29 15:26

Please test with high priority
(0026348)
mkv (tester)
2013-10-30 08:47

Dear BugMaster,

Branch CR24130 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: c7cd5762e8581c78526246a47bf60080d826ceaa

Number of compiler warnings:

occt component :
Linux: 321 (323 on master)
Windows: 0 (0 on master)

products component :
Linux: 189 (189 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Bad messages:

http://occt-tests/CR24130-r-master-occt/Debian60-64/bugs/vis/bug24130.html [^]
CASE bugs vis(004) bug24130: SKIPPED
OCCT was compiled without OpenCL support!

http://occt-tests/CR24130-r-master-occt/Windows-32-VC9/bugs/vis/bug24130.html [^]
CASE bugs vis(004) bug24130: FAILED (error)
TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
No any OpenCL platform installed!

Testing on Linux:
Total MEMORY difference: 355332884 / 356257396
Total CPU difference: 43005.3900000005 / 40672.13000000072

Testing on Windows:
Total MEMORY difference: 411008428 / 406455812
Total CPU difference: 29009.1875 / 34772.65625

There are not differences in images found by testdiff.
(0026349)
mkv (tester)
2013-10-30 08:48

Dear BugMaster,

There are compilation errors on MacOS platform:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24130_r/job/mnt-CR24130_r-master_prepare_occt_MacOS/1/parsed_console/? [^]
(0026373)
dbp (developer)
2013-10-30 17:29

Dear Bugmaster,

please test the branch CR24130_1.
(0026383)
mkv (tester)
2013-10-31 09:53

Dear BugMaster,

Branch CR24130_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: b3bf46d685d775a189c30d9227159ec641b6fee8

Number of compiler warnings:

occt component :
Linux: 321 (323 on master)
Windows: 0 (0 on master)

products component :
Linux: 189 (189 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24130-1-master-occt/Debian60-64/bugs/vis/bug24130.html [^]
CASE bugs vis(004) bug24130: SKIPPED
OCCT was compiled without OpenCL support!

http://occt-tests/CR24130-1-master-occt/Windows-32-VC9/bugs/vis/bug24130.html [^]
CASE bugs vis(004) bug24130: FAILED (error)
TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
No any OpenCL platform installed!

Testing on Linux:
Total MEMORY difference: 355555952 / 356305192
Total CPU difference: 43947.66000000139 / 40672.57000000072

Testing on Windows:
Total MEMORY difference: 410886228 / 406485576
Total CPU difference: 28326.0625 / 34772.828125

There are not differences in images found by testdiff.
(0026385)
kgv (developer)
2013-10-31 10:04

Dear mkv,

CASE bugs vis(004) bug24130: SKIPPED
OCCT was compiled without OpenCL support!

CASE bugs vis(004) bug24130: FAILED (error)
TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
No any OpenCL platform installed!

these issues have been considered as testing platform issues.
Please integrate.
(0026394)
mkv (tester)
2013-10-31 14:59

Dear BugMaster,
Test case bugs/vis(004)/bug24130 was corrected and pused to CR24130_1.

- Related Changesets
occt: master e276548b
Timestamp: 2013-10-31 11:35:18
Author: dbp
Committer: bugmaster
Details ] Diff ]
0024130: Implementing ray tracing visualization core

The purpose of this functionality is to bring a basic ray-tracing solution to existing OCCT visualization toolkit (TKOpenGL).
Currently ray-tracing visualization core supports sharp shadows, specular reflections, transparency and adaptive anti-aliasing.
However, the basis for all ray-tracing algorithms is versatile, allowing you to add new ray-tracing features easily (such as ambient occlusion).
All ray-tracing computations are performed on the GPU using OpenCL framework, allowing real-time rendering performance.

It is important to note, that real-time ray-tracing is possible using high-performance GPUs with support of OpenCL 1.1 and higher (such as NVIDIA GeForce 660 or ATI/AMD Radeon 7850).
When using low-end GPUs (such as NVIDIA GeForce 640) the ray-tracing performance may slow down significantly.
Therefore, even with NVIDIA GeForce 640 you can render scenes with the millions of triangles. The support of OpenCL-enabled CPUs and integrated graphics cards is not guaranteed.
mod - .gitattributes Diff ] File ]
mod - adm/UDLIST Diff ] File ]
add - samples/qt/Common/res/antialiasing.png Diff ] File ]
add - samples/qt/Common/res/reflections.png Diff ] File ]
add - samples/qt/Common/res/shadows.png Diff ] File ]
mod - samples/qt/Common/src/ApplicationCommon.cxx Diff ] File ]
mod - samples/qt/Common/src/ApplicationCommon.h Diff ] File ]
mod - samples/qt/Common/src/Common-icon.ts Diff ] File ]
mod - samples/qt/Common/src/Common-string.ts Diff ] File ]
mod - samples/qt/Common/src/DocumentCommon.cxx Diff ] File ]
mod - samples/qt/Common/src/DocumentCommon.h Diff ] File ]
mod - samples/qt/Common/src/MDIWindow.cxx Diff ] File ]
mod - samples/qt/Common/src/MDIWindow.h Diff ] File ]
mod - samples/qt/Common/src/View.cxx Diff ] File ]
mod - samples/qt/Common/src/View.h Diff ] File ]
mod - samples/qt/IESample/IESample-vc10.sln Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/OpenGl/EXTERNLIB Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
add - src/OpenGl/OpenGl_AABB.cxx Diff ] File ]
add - src/OpenGl/OpenGl_AABB.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Caps.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Caps.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Cl.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Display_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_7.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PriorityList.hxx Diff ] File ]
add - src/OpenGl/OpenGl_RaytraceSource.cxx Diff ] File ]
add - src/OpenGl/OpenGl_RaytraceTypes.hxx Diff ] File ]
add - src/OpenGl/OpenGl_SceneGeometry.cxx Diff ] File ]
add - src/OpenGl/OpenGl_SceneGeometry.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Workspace_Raytrace.cxx Diff ] File ]
mod - src/TKOpenGl/EXTERNLIB Diff ] File ]
mod - src/V3d/V3d_View.cdl Diff ] File ]
mod - src/V3d/V3d_View_5.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - tests/bugs/parse.rules Diff ] File ]
add - tests/bugs/vis/bug24130 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-08-27 15:10 dbp New Issue
2013-08-27 15:10 dbp Assigned To => san
2013-08-27 17:11 san Assigned To san => dbp
2013-08-27 17:11 san Severity minor => feature
2013-08-27 17:11 san Status new => assigned
2013-09-05 09:21 kgv Reproducibility have not tried => N/A
2013-09-05 09:21 kgv Target Version => 6.7.0
2013-09-17 09:50 san Relationship added parent of 0024153
2013-10-14 10:17 dbp Note Added: 0026058
2013-10-14 18:00 dbp Note Added: 0026073
2013-10-14 18:00 dbp Assigned To dbp => apl
2013-10-14 18:00 dbp Status assigned => resolved
2013-10-14 18:26 dbp Note Added: 0026074
2013-10-14 18:41 dbp Note Edited: 0026074 View Revisions
2013-10-14 18:50 dbp Note Edited: 0026074 View Revisions
2013-10-15 21:25 kgv Assigned To apl => dbp
2013-10-15 21:25 kgv Status resolved => assigned
2013-10-16 12:52 apl Note Added: 0026103
2013-10-17 16:52 dbp Note Added: 0026126
2013-10-17 16:52 dbp Assigned To dbp => apl
2013-10-17 16:52 dbp Status assigned => feedback
2013-10-21 10:58 apl Note Added: 0026154
2013-10-21 10:58 apl Assigned To apl => dbp
2013-10-21 10:58 apl Status feedback => assigned
2013-10-21 10:59 apl Note Edited: 0026154 View Revisions
2013-10-22 11:05 kgv Note Added: 0026195
2013-10-22 11:32 dbp Note Added: 0026196
2013-10-22 11:43 abv Note Added: 0026197
2013-10-22 11:47 abv File Added: rt-shadows.png
2013-10-22 11:49 dbp File Added: screen.png
2013-10-22 11:49 dbp File Added: screen2.png
2013-10-22 11:53 abv Note Added: 0026199
2013-10-22 11:54 abv File Added: rt-granulated.png
2013-10-22 12:16 abv Note Added: 0026200
2013-10-22 14:44 dbp Note Added: 0026209
2013-10-22 14:49 dbp File Added: sphere_test.png
2013-10-22 15:07 dbp Note Added: 0026211
2013-10-22 15:07 dbp File Added: Untitled.png
2013-10-22 15:08 dbp File Deleted: Untitled.png
2013-10-22 15:08 dbp File Added: rt_shadows.png
2013-10-22 16:12 dbp Note Added: 0026213
2013-10-22 16:47 dbp File Added: example1.png
2013-10-22 16:47 dbp File Deleted: example1.png
2013-10-22 16:48 dbp File Added: example1.png
2013-10-22 16:48 dbp File Deleted: screen.png
2013-10-22 16:49 dbp File Added: example2.png
2013-10-22 16:50 dbp File Added: example5.png
2013-10-22 16:50 dbp File Added: example6.png
2013-10-22 16:50 dbp File Deleted: example1.png
2013-10-22 18:48 dbp Note Added: 0026217
2013-10-22 18:48 dbp Assigned To dbp => apl
2013-10-22 18:48 dbp Status assigned => resolved
2013-10-22 21:15 kgv Note Added: 0026220
2013-10-23 00:35 dbp File Added: 1.png
2013-10-23 00:35 dbp File Added: 2.png
2013-10-23 00:35 dbp File Added: 5.png
2013-10-23 00:36 dbp File Deleted: 1.png
2013-10-23 00:36 dbp File Added: 10.png
2013-10-23 08:53 apl Note Added: 0026225
2013-10-23 08:54 apl Note Added: 0026226
2013-10-23 08:54 apl Assigned To apl => bugmaster
2013-10-23 08:54 apl Status resolved => reviewed
2013-10-23 08:59 kgv Note Added: 0026228
2013-10-23 09:02 apl Note Added: 0026230
2013-10-23 09:13 mkv Assigned To bugmaster => mkv
2013-10-23 13:33 mkv Note Added: 0026235
2013-10-23 13:48 mkv Note Added: 0026236
2013-10-23 13:49 mkv Note Added: 0026237
2013-10-23 13:49 mkv Assigned To mkv => bugmaster
2013-10-23 14:07 kgv Note Added: 0026238
2013-10-24 00:35 kgv Note Added: 0026247
2013-10-24 00:47 kgv Note Deleted: 0026238
2013-10-24 00:47 kgv Assigned To bugmaster => dbp
2013-10-24 00:47 kgv Status reviewed => assigned
2013-10-24 14:49 dbp File Added: Reference.zip
2013-10-24 14:52 dbp Note Added: 0026259
2013-10-24 16:48 dbp Note Added: 0026261
2013-10-24 16:48 dbp Assigned To dbp => kgv
2013-10-24 16:48 dbp Status assigned => resolved
2013-10-24 17:17 kgv Note Added: 0026263
2013-10-24 17:17 kgv Assigned To kgv => bugmaster
2013-10-24 17:17 kgv Status resolved => reviewed
2013-10-25 15:29 mkv Note Added: 0026284
2013-10-25 15:30 mkv Assigned To bugmaster => kgv
2013-10-25 15:30 mkv Status reviewed => assigned
2013-10-25 16:04 kgv Assigned To kgv => dbp
2013-10-25 17:41 kgv Note Added: 0026289
2013-10-25 17:41 kgv Assigned To dbp => bugmaster
2013-10-25 17:41 kgv Status assigned => resolved
2013-10-25 17:42 kgv Status resolved => reviewed
2013-10-28 16:03 mkv Assigned To bugmaster => mkv
2013-10-28 16:54 dbp Additional Information Updated View Revisions
2013-10-29 08:23 mkv Note Added: 0026313
2013-10-29 08:24 mkv Test case number => bugs vis(004) bug24130
2013-10-29 08:24 mkv Assigned To mkv => dbp
2013-10-29 08:24 mkv Status reviewed => assigned
2013-10-29 09:31 abv Note Added: 0026314
2013-10-29 10:01 kgv Note Added: 0026316
2013-10-29 12:09 dbp Note Added: 0026322
2013-10-29 15:25 abv Status assigned => resolved
2013-10-29 15:26 abv Note Added: 0026333
2013-10-29 15:26 abv Assigned To dbp => mkv
2013-10-29 15:26 abv Status resolved => reviewed
2013-10-29 17:32 bugmaster Note Added: 0026338
2013-10-29 17:45 abv Note Added: 0026339
2013-10-29 19:14 bugmaster Note Deleted: 0026338
2013-10-29 19:15 bugmaster Note Deleted: 0026339
2013-10-30 08:47 mkv Note Added: 0026348
2013-10-30 08:48 mkv Note Added: 0026349
2013-10-30 08:49 mkv Assigned To mkv => dbp
2013-10-30 08:49 mkv Status reviewed => assigned
2013-10-30 17:17 dbp Status assigned => resolved
2013-10-30 17:29 dbp Note Added: 0026373
2013-10-30 17:29 dbp Assigned To dbp => bugmaster
2013-10-30 17:29 dbp Status resolved => reviewed
2013-10-30 17:35 bugmaster Assigned To bugmaster => apn
2013-10-31 09:53 mkv Note Added: 0026383
2013-10-31 09:54 mkv Assigned To apn => dbp
2013-10-31 09:54 mkv Status reviewed => assigned
2013-10-31 10:04 kgv Note Added: 0026385
2013-10-31 10:04 kgv Assigned To dbp => bugmaster
2013-10-31 10:04 kgv Status assigned => resolved
2013-10-31 10:04 kgv Status resolved => feedback
2013-10-31 14:59 mkv Note Added: 0026394
2013-10-31 15:00 mkv Status feedback => reviewed
2013-10-31 15:01 mkv Status reviewed => tested
2013-11-05 15:02 kgv Relationship added related to 0024317
2013-11-05 15:08 kgv Relationship added related to 0024318
2013-11-05 15:28 kgv Relationship added related to 0024320
2013-11-06 11:07 bugmaster Changeset attached => occt master e276548b
2013-11-06 11:07 bugmaster Status tested => verified
2013-11-06 11:07 bugmaster Resolution open => fixed
2013-11-13 14:15 kgv Relationship added related to 0024353
2013-12-18 13:05 abv Relationship added related to 0024479
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 14:00 bugmaster Fixed in Version => 6.7.0
2020-01-14 20:46 kgv Relationship added parent of 0031279


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker